// pages/infoEdit/infoEdit.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tempFilePaths:'../../images/add.png',
    baseData:[
      { t: '性别', c: '必填', v: '', m:'selector', gender: ['男','女'] },  
      { t: '出生日期', c: '必填', v: '', m:'date', gender: [] },
      { t: '居住地', c: '必填', v: '', m: 'region', gender: [] },
      { t: '户籍', c: '必填', v: '', m: 'region', gender: [] },
      { t: '学历', c: '必填', v: '', m: 'selector', gender: ['小学/初中', '中专/高中', '大专', '本科', '硕士', '博士及以上'] },
      { t: '身高', c: '选填', v: '', m: 'selector', gender: ['1.50米以下', '1.50~1.60米', '1.60~1.70米', '1.70~1.80米', '1.80米以上'] },
      { t: '职业', c: '必填', v: '', m: 'selector', gender: ['医生', '律师', '教师', '其他'] },
    ],
    contactData:[
      { t: '电话', c: '必填', v: '', },
      { t: '微信', c: '必填', v: '', },
      { t: '你和相亲者的关系', c: '必填', v: '', },
    ],
    lifeData:[
      { t: '年收入', c: '选择', v: '', },
      { t: '婚姻状况', c: '选择', v: '', },
      { t: '是否有房', c: '选择', v: '', },
      { t: '是否有车', c: '选择', v: '', },
    ],
    reqData:[
      { t: '年龄要求', c: '选择', v: '', },
      { t: '身高要求', c: '选择', v: '', },
      { t: '收入要求', c: '选择', v: '', },
      { t: '户籍地', c: '选择', v: '', },
      { t: '是否有婚房', c: '选择', v: '', },
      { t: '学历要求', c: '选择', v: '', },
    ],
    gender:['男','女']
  },
  chooseImage(){
    var that = this;
    wx.chooseImage({
      count: 1,
      sizeType: ['original', 'compressed'],
      sourceType: ['album', 'camera'],
      success(res) {
        // tempFilePath可以作为img标签的src属性显示图片
        const tempFilePaths = res.tempFilePaths;
        that.setData({
          tempFilePaths: tempFilePaths
        })      
      }
    })
  },
  choose(e){
    var that = this;
    const index = e.currentTarget.dataset.index;//下标-用于定位选项
    const value = e.detail.value;//选项值

    switch (this.data.baseData[index].m){
      case 'selector':{
        let c_data = 'baseData[' + index + '].c';
        let v_data = this.data.baseData[index].gender[value];
        that.setData({
          [c_data]: v_data
        })
        break;
      }
      case 'date':{
        let c_data = 'baseData[' + index + '].c';
        that.setData({
          [c_data]: value
        })
      }
      case 'region': {
        let c_data = 'baseData[' + index + '].c';
        that.setData({
          [c_data]: value[1]
        })
      }
    }

  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})